---
schema_version: "1"
id: 61de6abe21dfec1b570ce117b97f9055386de2b9dea60bd9ac90262ab01a400c
title: POST /contacts/v1/operations/delete/{operationID}/retry
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/RetryContactDelete.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_contacts/RetryContactDelete.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 81a17a2b10a8c1b1f438349a6bc5b55d96f8a242a847df870bed15c8f91d4d77
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# POST /contacts/v1/operations/delete/{operationID}/retry

## Overview

Retry failed contact delete operation.

### URL Parameters

<!--complex table-->

| Name            | Type   |     | Description |
| --------------- | ------ | --- | ----------- |
| **operationID** | string |     | undefined   |

### Responses

| Status  | Name                    | Type    | Description                                                                                                                  |
| ------- | ----------------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------- |
| **200** | &nbsp;                  | &nbsp;  | **Retry delete operation response.**                                                                                         |
| &nbsp;  | operationID             | integer | Operation ID for the retried request.                                                                                        |
| &nbsp;  | operationRestarted      | boolean | Indicates whether the request restarted.                                                                                     |
| &nbsp;  | requestServiceMessageID | guid    | Service message ID for the request.                                                                                          |
| &nbsp;  | responseDateTime        | integer | The date and time of the retry response is in GMT time.                                                                      |
| &nbsp;  | resultMessages          | array   | Messages about the request, like resulttype and resultcode. If the request results in errors, those details are listed here. |
| &nbsp;  | serviceMessageID        | guid    | Service message ID for the response.                                                                                         |

## Usage

**Example Request**

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /contacts/v1/operations/delete/10315/retry
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

**Example Response**

```js
{
    "operationID": 10315,
    "operationRestarted": true,
    "requestServiceMessageID": "fb8daeca-deea-4009-bb4a-2c8b5251c2a6",
    "responseDateTime": "2018-06-05T10:03:09.5032301-06:00",
    "resultMessages": [],
    "serviceMessageID": "77f33340-84a1-46d2-af5c-8195156f89b9"
}
```
